USN-5466-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5466-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5466-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5466-1
Related
Published
2022-06-08T03:02:54Z
Modified
2022-06-08T03:02:54Z
Summary
linux, linux-aws, linux-aws-hwe, linux-azure, linux-azure-4.15, linux-gcp, linux-gcp-4.15, linux-hwe, linux-kvm, linux-oracle, linux-raspi2, linux-snapdragon vulnerabilities
Details

It was discovered that the Linux kernel did not properly restrict access to the kernel debugger when booted in secure boot environments. A privileged attacker could use this to bypass UEFI Secure Boot restrictions. (CVE-2022-21499)

Aaron Adams discovered that the netfilter subsystem in the Linux kernel did not properly handle the removal of stateful expressions in some situations, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-1966)

It was discovered that the SCTP protocol implementation in the Linux kernel did not properly verify VTAGs in some situations. A remote attacker could possibly use this to cause a denial of service (connection disassociation). (CVE-2021-3772)

It was discovered that the btrfs file system implementation in the Linux kernel did not properly handle locking in certain error conditions. A local attacker could use this to cause a denial of service (kernel deadlock). (CVE-2021-4149)

David Bouman discovered that the netfilter subsystem in the Linux kernel did not initialize memory in some situations. A local attacker could use this to expose sensitive information (kernel memory). (CVE-2022-1016)

It was discovered that the virtual graphics memory manager implementation in the Linux kernel was subject to a race condition, potentially leading to an information leak. (CVE-2022-1419)

赵子轩 discovered that the 802.2 LLC type 2 driver in the Linux kernel did not properly perform reference counting in some error conditions. A local attacker could use this to cause a denial of service. (CVE-2022-28356)

It was discovered that the EMS CAN/USB interface implementation in the Linux kernel contained a double-free vulnerability when handling certain error conditions. A local attacker could use this to cause a denial of service (memory exhaustion). (CVE-2022-28390)

References

Affected packages

Ubuntu:Pro:14.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1142.156~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-4.15.0-1142-azure": "4.15.0-1142.156~14.04.1",
            "linux-azure-headers-4.15.0-1142": "4.15.0-1142.156~14.04.1",
            "linux-modules-extra-azure": "4.15.0.1142.113",
            "linux-signed-image-azure": "4.15.0.1142.113",
            "linux-headers-4.15.0-1142-azure": "4.15.0-1142.156~14.04.1",
            "linux-azure": "4.15.0.1142.113",
            "linux-azure-tools-4.15.0-1142": "4.15.0-1142.156~14.04.1",
            "linux-cloud-tools-4.15.0-1142-azure": "4.15.0-1142.156~14.04.1",
            "linux-signed-azure": "4.15.0.1142.113",
            "linux-modules-extra-4.15.0-1142-azure": "4.15.0-1142.156~14.04.1",
            "linux-headers-azure": "4.15.0.1142.113",
            "linux-tools-azure": "4.15.0.1142.113",
            "linux-azure-cloud-tools-4.15.0-1142": "4.15.0-1142.156~14.04.1",
            "linux-cloud-tools-azure": "4.15.0.1142.113",
            "linux-modules-4.15.0-1142-azure": "4.15.0-1142.156~14.04.1",
            "linux-image-azure": "4.15.0.1142.113",
            "linux-image-unsigned-4.15.0-1142-azure": "4.15.0-1142.156~14.04.1",
            "linux-tools-4.15.0-1142-azure": "4.15.0-1142.156~14.04.1",
            "linux-buildinfo-4.15.0-1142-azure": "4.15.0-1142.156~14.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gcp-4.15

Package

Name
linux-gcp-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1127.142

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-4.15.0-1127-gcp": "4.15.0-1127.142",
            "linux-gcp-4.15-tools-4.15.0-1127": "4.15.0-1127.142",
            "linux-modules-4.15.0-1127-gcp": "4.15.0-1127.142",
            "linux-image-unsigned-4.15.0-1127-gcp": "4.15.0-1127.142",
            "linux-modules-extra-gcp-lts-18.04": "4.15.0.1127.145",
            "linux-modules-extra-4.15.0-1127-gcp": "4.15.0-1127.142",
            "linux-headers-gcp-lts-18.04": "4.15.0.1127.145",
            "linux-headers-4.15.0-1127-gcp": "4.15.0-1127.142",
            "linux-image-gcp-lts-18.04": "4.15.0.1127.145",
            "linux-tools-gcp-lts-18.04": "4.15.0.1127.145",
            "linux-gcp-lts-18.04": "4.15.0.1127.145",
            "linux-image-4.15.0-1127-gcp": "4.15.0-1127.142",
            "linux-gcp-4.15-headers-4.15.0-1127": "4.15.0-1127.142",
            "linux-buildinfo-4.15.0-1127-gcp": "4.15.0-1127.142"
        }
    ]
}

Ubuntu:18.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1119.123

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-kvm": "4.15.0.1119.114",
            "linux-kvm": "4.15.0.1119.114",
            "linux-image-4.15.0-1119-kvm": "4.15.0-1119.123",
            "linux-kvm-tools-4.15.0-1119": "4.15.0-1119.123",
            "linux-buildinfo-4.15.0-1119-kvm": "4.15.0-1119.123",
            "linux-kvm-headers-4.15.0-1119": "4.15.0-1119.123",
            "linux-tools-4.15.0-1119-kvm": "4.15.0-1119.123",
            "linux-headers-4.15.0-1119-kvm": "4.15.0-1119.123",
            "linux-tools-kvm": "4.15.0.1119.114",
            "linux-modules-4.15.0-1119-kvm": "4.15.0-1119.123",
            "linux-image-kvm": "4.15.0.1119.114"
        }
    ]
}

Ubuntu:18.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1132.142

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-snapdragon": "4.15.0.1132.133",
            "linux-image-4.15.0-1132-snapdragon": "4.15.0-1132.142",
            "linux-snapdragon-tools-4.15.0-1132": "4.15.0-1132.142",
            "linux-snapdragon-headers-4.15.0-1132": "4.15.0-1132.142",
            "linux-tools-snapdragon": "4.15.0.1132.133",
            "linux-tools-4.15.0-1132-snapdragon": "4.15.0-1132.142",
            "linux-image-snapdragon": "4.15.0.1132.133",
            "linux-snapdragon": "4.15.0.1132.133",
            "linux-buildinfo-4.15.0-1132-snapdragon": "4.15.0-1132.142",
            "linux-headers-4.15.0-1132-snapdragon": "4.15.0-1132.142",
            "linux-modules-4.15.0-1132-snapdragon": "4.15.0-1132.142"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1133.143

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-4.15.0-1133-aws": "4.15.0-1133.143",
            "linux-modules-4.15.0-1133-aws": "4.15.0-1133.143",
            "linux-aws-cloud-tools-4.15.0-1133": "4.15.0-1133.143",
            "linux-aws-headers-4.15.0-1133": "4.15.0-1133.143",
            "linux-headers-aws-lts-18.04": "4.15.0.1133.135",
            "linux-image-4.15.0-1133-aws": "4.15.0-1133.143",
            "linux-aws-lts-18.04": "4.15.0.1133.135",
            "linux-modules-extra-aws-lts-18.04": "4.15.0.1133.135",
            "linux-tools-aws-lts-18.04": "4.15.0.1133.135",
            "linux-image-unsigned-4.15.0-1133-aws": "4.15.0-1133.143",
            "linux-headers-4.15.0-1133-aws": "4.15.0-1133.143",
            "linux-aws-tools-4.15.0-1133": "4.15.0-1133.143",
            "linux-buildinfo-4.15.0-1133-aws": "4.15.0-1133.143",
            "linux-cloud-tools-4.15.0-1133-aws": "4.15.0-1133.143",
            "linux-tools-4.15.0-1133-aws": "4.15.0-1133.143",
            "linux-image-aws-lts-18.04": "4.15.0.1133.135"
        }
    ]
}

Ubuntu:18.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1114.122

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1114-raspi2": "4.15.0-1114.122",
            "linux-tools-4.15.0-1114-raspi2": "4.15.0-1114.122",
            "linux-raspi2-tools-4.15.0-1114": "4.15.0-1114.122",
            "linux-tools-raspi2": "4.15.0.1114.111",
            "linux-raspi2-headers-4.15.0-1114": "4.15.0-1114.122",
            "linux-raspi2": "4.15.0.1114.111",
            "linux-modules-4.15.0-1114-raspi2": "4.15.0-1114.122",
            "linux-headers-4.15.0-1114-raspi2": "4.15.0-1114.122",
            "linux-headers-raspi2": "4.15.0.1114.111",
            "linux-image-raspi2": "4.15.0.1114.111",
            "linux-buildinfo-4.15.0-1114-raspi2": "4.15.0-1114.122"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1098.108

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-signed-oracle-lts-18.04": "4.15.0.1098.107",
            "linux-buildinfo-4.15.0-1098-oracle": "4.15.0-1098.108",
            "linux-modules-extra-4.15.0-1098-oracle": "4.15.0-1098.108",
            "linux-tools-4.15.0-1098-oracle": "4.15.0-1098.108",
            "linux-image-oracle-lts-18.04": "4.15.0.1098.107",
            "linux-headers-4.15.0-1098-oracle": "4.15.0-1098.108",
            "linux-oracle-tools-4.15.0-1098": "4.15.0-1098.108",
            "linux-signed-image-oracle-lts-18.04": "4.15.0.1098.107",
            "linux-image-unsigned-4.15.0-1098-oracle": "4.15.0-1098.108",
            "linux-image-4.15.0-1098-oracle": "4.15.0-1098.108",
            "linux-oracle-lts-18.04": "4.15.0.1098.107",
            "linux-modules-4.15.0-1098-oracle": "4.15.0-1098.108",
            "linux-tools-oracle-lts-18.04": "4.15.0.1098.107",
            "linux-oracle-headers-4.15.0-1098": "4.15.0-1098.108",
            "linux-headers-oracle-lts-18.04": "4.15.0.1098.107"
        }
    ]
}

Ubuntu:18.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-184.194

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-lowlatency": "4.15.0.184.172",
            "linux-modules-4.15.0-184-generic": "4.15.0-184.194",
            "linux-cloud-tools-lowlatency-hwe-16.04": "4.15.0.184.172",
            "linux-signed-image-lowlatency-hwe-16.04-edge": "4.15.0.184.172",
            "linux-buildinfo-4.15.0-184-lowlatency": "4.15.0-184.194",
            "linux-signed-lowlatency-hwe-16.04": "4.15.0.184.172",
            "linux-cloud-tools-virtual": "4.15.0.184.172",
            "linux-cloud-tools-4.15.0-184-lowlatency": "4.15.0-184.194",
            "linux-tools-virtual-hwe-16.04-edge": "4.15.0.184.172",
            "linux-tools-lowlatency-hwe-16.04": "4.15.0.184.172",
            "linux-image-unsigned-4.15.0-184-lowlatency": "4.15.0-184.194",
            "linux-cloud-tools-generic-hwe-16.04": "4.15.0.184.172",
            "linux-tools-lowlatency-hwe-16.04-edge": "4.15.0.184.172",
            "linux-cloud-tools-lowlatency": "4.15.0.184.172",
            "linux-tools-virtual": "4.15.0.184.172",
            "linux-cloud-tools-virtual-hwe-16.04": "4.15.0.184.172",
            "linux-signed-image-lowlatency": "4.15.0.184.172",
            "linux-source": "4.15.0.184.172",
            "linux-image-extra-virtual": "4.15.0.184.172",
            "linux-modules-extra-4.15.0-184-generic": "4.15.0-184.194",
            "linux-tools-generic-lpae-hwe-16.04-edge": "4.15.0.184.172",
            "linux-cloud-tools-generic": "4.15.0.184.172",
            "linux-headers-generic-hwe-16.04-edge": "4.15.0.184.172",
            "linux-image-virtual": "4.15.0.184.172",
            "linux-tools-4.15.0-184-generic-lpae": "4.15.0-184.194",
            "linux-lowlatency-hwe-16.04": "4.15.0.184.172",
            "linux-tools-generic-lpae-hwe-16.04": "4.15.0.184.172",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.184.172",
            "linux-generic-hwe-16.04-edge": "4.15.0.184.172",
            "linux-virtual": "4.15.0.184.172",
            "linux-signed-image-generic-hwe-16.04-edge": "4.15.0.184.172",
            "linux-generic-hwe-16.04": "4.15.0.184.172",
            "linux-generic-lpae": "4.15.0.184.172",
            "linux-cloud-tools-lowlatency-hwe-16.04-edge": "4.15.0.184.172",
            "linux-tools-4.15.0-184-lowlatency": "4.15.0-184.194",
            "linux-tools-generic": "4.15.0.184.172",
            "linux-headers-4.15.0-184-generic-lpae": "4.15.0-184.194",
            "linux-headers-4.15.0-184-generic": "4.15.0-184.194",
            "linux-crashdump": "4.15.0.184.172",
            "linux-headers-4.15.0-184-lowlatency": "4.15.0-184.194",
            "linux-generic-lpae-hwe-16.04-edge": "4.15.0.184.172",
            "linux-generic": "4.15.0.184.172",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.184.172",
            "linux-image-unsigned-4.15.0-184-generic": "4.15.0-184.194",
            "linux-tools-virtual-hwe-16.04": "4.15.0.184.172",
            "linux-signed-lowlatency-hwe-16.04-edge": "4.15.0.184.172",
            "linux-lowlatency-hwe-16.04-edge": "4.15.0.184.172",
            "linux-signed-image-generic-hwe-16.04": "4.15.0.184.172",
            "linux-buildinfo-4.15.0-184-generic-lpae": "4.15.0-184.194",
            "linux-headers-generic-lpae": "4.15.0.184.172",
            "linux-image-generic-lpae": "4.15.0.184.172",
            "linux-modules-4.15.0-184-lowlatency": "4.15.0-184.194",
            "linux-signed-image-generic": "4.15.0.184.172",
            "linux-tools-lowlatency": "4.15.0.184.172",
            "linux-image-4.15.0-184-generic-lpae": "4.15.0-184.194",
            "linux-source-4.15.0": "4.15.0-184.194",
            "linux-cloud-tools-common": "4.15.0-184.194",
            "linux-signed-generic-hwe-16.04": "4.15.0.184.172",
            "linux-tools-4.15.0-184": "4.15.0-184.194",
            "linux-signed-generic-hwe-16.04-edge": "4.15.0.184.172",
            "linux-libc-dev": "4.15.0-184.194",
            "linux-headers-lowlatency-hwe-16.04-edge": "4.15.0.184.172",
            "linux-headers-virtual-hwe-16.04": "4.15.0.184.172",
            "linux-tools-generic-hwe-16.04-edge": "4.15.0.184.172",
            "linux-doc": "4.15.0-184.194",
            "linux-cloud-tools-4.15.0-184-generic": "4.15.0-184.194",
            "linux-image-extra-virtual-hwe-16.04-edge": "4.15.0.184.172",
            "linux-tools-generic-hwe-16.04": "4.15.0.184.172",
            "linux-headers-4.15.0-184": "4.15.0-184.194",
            "linux-headers-virtual-hwe-16.04-edge": "4.15.0.184.172",
            "linux-headers-generic": "4.15.0.184.172",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.184.172",
            "linux-headers-lowlatency": "4.15.0.184.172",
            "linux-image-lowlatency": "4.15.0.184.172",
            "linux-headers-virtual": "4.15.0.184.172",
            "linux-cloud-tools-generic-hwe-16.04-edge": "4.15.0.184.172",
            "linux-virtual-hwe-16.04-edge": "4.15.0.184.172",
            "linux-tools-host": "4.15.0-184.194",
            "linux-generic-lpae-hwe-16.04": "4.15.0.184.172",
            "linux-headers-generic-lpae-hwe-16.04-edge": "4.15.0.184.172",
            "linux-cloud-tools-4.15.0-184": "4.15.0-184.194",
            "linux-headers-lowlatency-hwe-16.04": "4.15.0.184.172",
            "linux-signed-lowlatency": "4.15.0.184.172",
            "linux-tools-generic-lpae": "4.15.0.184.172",
            "linux-virtual-hwe-16.04": "4.15.0.184.172",
            "linux-image-extra-virtual-hwe-16.04": "4.15.0.184.172",
            "linux-headers-generic-lpae-hwe-16.04": "4.15.0.184.172",
            "linux-signed-image-lowlatency-hwe-16.04": "4.15.0.184.172",
            "linux-image-4.15.0-184-lowlatency": "4.15.0-184.194",
            "linux-cloud-tools-virtual-hwe-16.04-edge": "4.15.0.184.172",
            "linux-image-generic-hwe-16.04": "4.15.0.184.172",
            "linux-signed-generic": "4.15.0.184.172",
            "linux-headers-generic-hwe-16.04": "4.15.0.184.172",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.184.172",
            "linux-tools-common": "4.15.0-184.194",
            "linux-modules-4.15.0-184-generic-lpae": "4.15.0-184.194",
            "linux-image-generic": "4.15.0.184.172",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.184.172",
            "linux-image-4.15.0-184-generic": "4.15.0-184.194",
            "linux-buildinfo-4.15.0-184-generic": "4.15.0-184.194",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.184.172",
            "linux-tools-4.15.0-184-generic": "4.15.0-184.194",
            "linux-image-virtual-hwe-16.04": "4.15.0.184.172"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-4.15

Package

Name
linux-azure-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1142.156

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1142-azure": "4.15.0-1142.156",
            "linux-signed-image-azure-lts-18.04": "4.15.0.1142.114",
            "linux-headers-4.15.0-1142-azure": "4.15.0-1142.156",
            "linux-tools-azure-lts-18.04": "4.15.0.1142.114",
            "linux-signed-azure-lts-18.04": "4.15.0.1142.114",
            "linux-cloud-tools-4.15.0-1142-azure": "4.15.0-1142.156",
            "linux-azure-lts-18.04": "4.15.0.1142.114",
            "linux-image-azure-lts-18.04": "4.15.0.1142.114",
            "linux-modules-extra-4.15.0-1142-azure": "4.15.0-1142.156",
            "linux-azure-4.15-cloud-tools-4.15.0-1142": "4.15.0-1142.156",
            "linux-azure-4.15-headers-4.15.0-1142": "4.15.0-1142.156",
            "linux-cloud-tools-azure-lts-18.04": "4.15.0.1142.114",
            "linux-azure-4.15-tools-4.15.0-1142": "4.15.0-1142.156",
            "linux-modules-extra-azure-lts-18.04": "4.15.0.1142.114",
            "linux-modules-4.15.0-1142-azure": "4.15.0-1142.156",
            "linux-image-unsigned-4.15.0-1142-azure": "4.15.0-1142.156",
            "linux-tools-4.15.0-1142-azure": "4.15.0-1142.156",
            "linux-headers-azure-lts-18.04": "4.15.0.1142.114",
            "linux-buildinfo-4.15.0-1142-azure": "4.15.0-1142.156"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-aws-hwe

Package

Name
linux-aws-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1133.143~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-modules-extra-4.15.0-1133-aws": "4.15.0-1133.143~16.04.1",
            "linux-modules-4.15.0-1133-aws": "4.15.0-1133.143~16.04.1",
            "linux-aws-headers-4.15.0-1133": "4.15.0-1133.143~16.04.1",
            "linux-modules-extra-aws-hwe": "4.15.0.1133.122",
            "linux-aws-hwe-tools-4.15.0-1133": "4.15.0-1133.143~16.04.1",
            "linux-image-4.15.0-1133-aws-hwe": "4.15.0-1133.143~16.04.1",
            "linux-aws-hwe": "4.15.0.1133.122",
            "linux-image-unsigned-4.15.0-1133-aws": "4.15.0-1133.143~16.04.1",
            "linux-headers-4.15.0-1133-aws": "4.15.0-1133.143~16.04.1",
            "linux-headers-aws-hwe": "4.15.0.1133.122",
            "linux-cloud-tools-4.15.0-1133-aws": "4.15.0-1133.143~16.04.1",
            "linux-buildinfo-4.15.0-1133-aws": "4.15.0-1133.143~16.04.1",
            "linux-aws-edge": "4.15.0.1133.122",
            "linux-tools-4.15.0-1133-aws": "4.15.0-1133.143~16.04.1",
            "linux-image-aws-hwe": "4.15.0.1133.122",
            "linux-tools-aws-hwe": "4.15.0.1133.122",
            "linux-aws-hwe-cloud-tools-4.15.0-1133": "4.15.0-1133.143~16.04.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-hwe

Package

Name
linux-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-184.194~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-modules-4.15.0-184-generic": "4.15.0-184.194~16.04.1",
            "linux-headers-oem": "4.15.0.184.173",
            "linux-cloud-tools-lowlatency-hwe-16.04": "4.15.0.184.173",
            "linux-signed-image-lowlatency-hwe-16.04-edge": "4.15.0.184.173",
            "linux-buildinfo-4.15.0-184-lowlatency": "4.15.0-184.194~16.04.1",
            "linux-signed-lowlatency-hwe-16.04": "4.15.0.184.173",
            "linux-cloud-tools-4.15.0-184-lowlatency": "4.15.0-184.194~16.04.1",
            "linux-cloud-tools-generic-hwe-16.04": "4.15.0.184.173",
            "linux-tools-virtual-hwe-16.04-edge": "4.15.0.184.173",
            "linux-image-unsigned-4.15.0-184-lowlatency": "4.15.0-184.194~16.04.1",
            "linux-tools-lowlatency-hwe-16.04": "4.15.0.184.173",
            "linux-tools-lowlatency-hwe-16.04-edge": "4.15.0.184.173",
            "linux-cloud-tools-virtual-hwe-16.04": "4.15.0.184.173",
            "linux-hwe-tools-4.15.0-184": "4.15.0-184.194~16.04.1",
            "linux-modules-extra-4.15.0-184-generic": "4.15.0-184.194~16.04.1",
            "linux-oem": "4.15.0.184.173",
            "linux-headers-generic-hwe-16.04-edge": "4.15.0.184.173",
            "linux-lowlatency-hwe-16.04": "4.15.0.184.173",
            "linux-cloud-tools-lowlatency-hwe-16.04-edge": "4.15.0.184.173",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.184.173",
            "linux-generic-hwe-16.04-edge": "4.15.0.184.173",
            "linux-generic-hwe-16.04": "4.15.0.184.173",
            "linux-signed-image-generic-hwe-16.04-edge": "4.15.0.184.173",
            "linux-tools-4.15.0-184-lowlatency": "4.15.0-184.194~16.04.1",
            "linux-signed-image-oem": "4.15.0.184.173",
            "linux-headers-4.15.0-184-generic": "4.15.0-184.194~16.04.1",
            "linux-headers-4.15.0-184-lowlatency": "4.15.0-184.194~16.04.1",
            "linux-signed-lowlatency-hwe-16.04-edge": "4.15.0.184.173",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.184.173",
            "linux-image-unsigned-4.15.0-184-generic": "4.15.0-184.194~16.04.1",
            "linux-tools-virtual-hwe-16.04": "4.15.0.184.173",
            "linux-lowlatency-hwe-16.04-edge": "4.15.0.184.173",
            "linux-signed-image-generic-hwe-16.04": "4.15.0.184.173",
            "linux-modules-4.15.0-184-lowlatency": "4.15.0-184.194~16.04.1",
            "linux-signed-generic-hwe-16.04": "4.15.0.184.173",
            "linux-signed-generic-hwe-16.04-edge": "4.15.0.184.173",
            "linux-tools-generic-hwe-16.04-edge": "4.15.0.184.173",
            "linux-source-4.15.0": "4.15.0-184.194~16.04.1",
            "linux-hwe-cloud-tools-4.15.0-184": "4.15.0-184.194~16.04.1",
            "linux-headers-lowlatency-hwe-16.04-edge": "4.15.0.184.173",
            "linux-headers-virtual-hwe-16.04": "4.15.0.184.173",
            "linux-cloud-tools-4.15.0-184-generic": "4.15.0-184.194~16.04.1",
            "linux-image-extra-virtual-hwe-16.04-edge": "4.15.0.184.173",
            "linux-tools-generic-hwe-16.04": "4.15.0.184.173",
            "linux-headers-4.15.0-184": "4.15.0-184.194~16.04.1",
            "linux-headers-virtual-hwe-16.04-edge": "4.15.0.184.173",
            "linux-tools-oem": "4.15.0.184.173",
            "linux-cloud-tools-generic-hwe-16.04-edge": "4.15.0.184.173",
            "linux-image-oem": "4.15.0.184.173",
            "linux-virtual-hwe-16.04-edge": "4.15.0.184.173",
            "linux-signed-oem": "4.15.0.184.173",
            "linux-headers-lowlatency-hwe-16.04": "4.15.0.184.173",
            "linux-virtual-hwe-16.04": "4.15.0.184.173",
            "linux-image-extra-virtual-hwe-16.04": "4.15.0.184.173",
            "linux-signed-image-lowlatency-hwe-16.04": "4.15.0.184.173",
            "linux-image-4.15.0-184-lowlatency": "4.15.0-184.194~16.04.1",
            "linux-cloud-tools-virtual-hwe-16.04-edge": "4.15.0.184.173",
            "linux-image-generic-hwe-16.04": "4.15.0.184.173",
            "linux-headers-generic-hwe-16.04": "4.15.0.184.173",
            "linux-image-4.15.0-184-generic": "4.15.0-184.194~16.04.1",
            "linux-buildinfo-4.15.0-184-generic": "4.15.0-184.194~16.04.1",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.184.173",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.184.173",
            "linux-tools-4.15.0-184-generic": "4.15.0-184.194~16.04.1",
            "linux-image-virtual-hwe-16.04": "4.15.0.184.173"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1127.142~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-tools-gcp": "4.15.0.1127.126",
            "linux-image-unsigned-4.15.0-1127-gcp": "4.15.0-1127.142~16.04.1",
            "linux-tools-4.15.0-1127-gcp": "4.15.0-1127.142~16.04.1",
            "linux-modules-4.15.0-1127-gcp": "4.15.0-1127.142~16.04.1",
            "linux-gcp-headers-4.15.0-1127": "4.15.0-1127.142~16.04.1",
            "linux-headers-gke": "4.15.0.1127.126",
            "linux-modules-extra-4.15.0-1127-gcp": "4.15.0-1127.142~16.04.1",
            "linux-gcp": "4.15.0.1127.126",
            "linux-headers-4.15.0-1127-gcp": "4.15.0-1127.142~16.04.1",
            "linux-gke": "4.15.0.1127.126",
            "linux-image-gcp": "4.15.0.1127.126",
            "linux-headers-gcp": "4.15.0.1127.126",
            "linux-modules-extra-gcp": "4.15.0.1127.126",
            "linux-gcp-tools-4.15.0-1127": "4.15.0-1127.142~16.04.1",
            "linux-image-4.15.0-1127-gcp": "4.15.0-1127.142~16.04.1",
            "linux-buildinfo-4.15.0-1127-gcp": "4.15.0-1127.142~16.04.1",
            "linux-image-gke": "4.15.0.1127.126",
            "linux-modules-extra-gke": "4.15.0.1127.126",
            "linux-tools-gke": "4.15.0.1127.126"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1098.108~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-buildinfo-4.15.0-1098-oracle": "4.15.0-1098.108~16.04.1",
            "linux-modules-extra-4.15.0-1098-oracle": "4.15.0-1098.108~16.04.1",
            "linux-tools-4.15.0-1098-oracle": "4.15.0-1098.108~16.04.1",
            "linux-headers-4.15.0-1098-oracle": "4.15.0-1098.108~16.04.1",
            "linux-oracle-tools-4.15.0-1098": "4.15.0-1098.108~16.04.1",
            "linux-signed-image-oracle": "4.15.0.1098.85",
            "linux-signed-oracle": "4.15.0.1098.85",
            "linux-image-4.15.0-1098-oracle": "4.15.0-1098.108~16.04.1",
            "linux-image-unsigned-4.15.0-1098-oracle": "4.15.0-1098.108~16.04.1",
            "linux-oracle": "4.15.0.1098.85",
            "linux-headers-oracle": "4.15.0.1098.85",
            "linux-modules-4.15.0-1098-oracle": "4.15.0-1098.108~16.04.1",
            "linux-tools-oracle": "4.15.0.1098.85",
            "linux-image-oracle": "4.15.0.1098.85",
            "linux-oracle-headers-4.15.0-1098": "4.15.0-1098.108~16.04.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1142.156~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-4.15.0-1142-azure": "4.15.0-1142.156~16.04.1",
            "linux-azure-headers-4.15.0-1142": "4.15.0-1142.156~16.04.1",
            "linux-modules-extra-azure": "4.15.0.1142.131",
            "linux-signed-image-azure": "4.15.0.1142.131",
            "linux-headers-4.15.0-1142-azure": "4.15.0-1142.156~16.04.1",
            "linux-azure": "4.15.0.1142.131",
            "linux-azure-tools-4.15.0-1142": "4.15.0-1142.156~16.04.1",
            "linux-cloud-tools-4.15.0-1142-azure": "4.15.0-1142.156~16.04.1",
            "linux-signed-azure": "4.15.0.1142.131",
            "linux-azure-edge": "4.15.0.1142.131",
            "linux-headers-azure-edge": "4.15.0.1142.131",
            "linux-modules-extra-4.15.0-1142-azure": "4.15.0-1142.156~16.04.1",
            "linux-headers-azure": "4.15.0.1142.131",
            "linux-tools-azure-edge": "4.15.0.1142.131",
            "linux-cloud-tools-azure": "4.15.0.1142.131",
            "linux-tools-azure": "4.15.0.1142.131",
            "linux-azure-cloud-tools-4.15.0-1142": "4.15.0-1142.156~16.04.1",
            "linux-cloud-tools-azure-edge": "4.15.0.1142.131",
            "linux-modules-4.15.0-1142-azure": "4.15.0-1142.156~16.04.1",
            "linux-image-azure": "4.15.0.1142.131",
            "linux-image-unsigned-4.15.0-1142-azure": "4.15.0-1142.156~16.04.1",
            "linux-image-azure-edge": "4.15.0.1142.131",
            "linux-signed-azure-edge": "4.15.0.1142.131",
            "linux-tools-4.15.0-1142-azure": "4.15.0-1142.156~16.04.1",
            "linux-signed-image-azure-edge": "4.15.0.1142.131",
            "linux-buildinfo-4.15.0-1142-azure": "4.15.0-1142.156~16.04.1",
            "linux-modules-extra-azure-edge": "4.15.0.1142.131"
        }
    ]
}